API Reference
Profile
Retrieve your MisarBlog creator profile.
Get Your Profile
GET
/meReturns the authenticated creator's public profile data.
Response fields
idstringYour internal creator ID (UUID).
usernamestringYour public username — used in /@username URLs.
display_namestring | nullYour display name, if set.
biostring | nullProfile bio.
avatar_urlstring | nullCDN URL of your avatar image.
stripe_connectedbooleanWhether you have completed Stripe Connect onboarding for payouts.
profile_urlstringCanonical URL of your public profile (/@username).
created_atstringISO 8601 timestamp of account creation.
curl https://api.misar.io/blog/v1/me \
-H "Authorization: Bearer mbk_YOUR_KEY"{
"id": "uuid",
"username": "johndoe",
"display_name": "John Doe",
"bio": "Writing about web development and AI.",
"avatar_url": "https://supabase-blog.misar.io/storage/v1/object/public/avatars/johndoe.jpg",
"stripe_connected": true,
"profile_url": "https://www.misar.blog/@johndoe",
"created_at": "2025-01-15T10:00:00Z"
}const res = await fetch("https://api.misar.io/blog/v1/me", {
headers: { Authorization: `Bearer ${process.env.MISARBLOG_API_KEY}` },
});
const profile = await res.json();
console.log(profile.username); // "johndoe"Errors
| Status | Description |
|---|---|
401 | Invalid or missing API key |
404 | Profile not found |